/*****************************************************************************/
/*	aisa57w.h																 */
/*																			 */
/*	aISA-A57															 */
/*																			 */
/*	Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.									 */
/*																			 */
/*	Date 1998/07/29															 */
/*																			 */
/*****************************************************************************/

#ifndef __INC_AISA57W_H__
#define __INC_AISA57W_H__

#include "aisa57.h"


#ifdef __cplusplus
extern "C"{
#endif


#define AISA57_DLL_NAME	  _T("aisa57.dll")	// DLL

#define AISA57_ERR_WRAPDLL ((DWORD)-1)	// bp[֐G[


BOOL  Aisa57wDllOpen();		// DLL [h
BOOL  Aisa57wDllClose();	// DLL A[h

BOOL  Aisa57wGetVersion(PDWORD pdwDllVer, PDWORD pdwDrvVer);						// aISA-A57 DLL,Driver̃o[Wԍ擾

BOOL  Aisa57wCreate(PWORD pwLogSlot, HWND hWnd, UINT uWMBase, PVOID pvInitArg);		// CӂaISA-A57̎gp錾
BOOL  Aisa57wClose(WORD wLogSlot);													// CӂaISA-A57̎gpJ

BOOL  Aisa57wGetResource(WORD wLogSlot, PAISA57R pres);								// \[X擾

BOOL  Aisa57wSetMode(WORD wLogSlot, PCAISA57M pcmode);								// TvO[h̐ݒ
BOOL  Aisa57wStartSampling(WORD wLogSlot);											// TvOJn
BOOL  Aisa57wStopSampling(WORD wLogSlot);											// TvO~
BOOL  Aisa57wGetSamplingStatus(WORD wLogSlot, PDWORD pcwNumData, PDWORD pdwStatus); // TvOEXe[^X̎擾
BOOL  Aisa57wGetData(WORD wLogSlot, DWORD cwNumData, PWORD pwData);					// TvOς݃f[^̎擾

BOOL  Aisa57wSetData(WORD wLogSlot, WORD wChData, WORD wDaData);					// D/Af[^̏o

BOOL  Aisa57wInPort(WORD wLogSlot, PBYTE pbInValue);	// f[^
BOOL  Aisa57wOutPort(WORD wLogSlot, BYTE bOutValue);	// f[^o

DWORD Aisa57wGetLastError(WORD wLogSlot);											// aISA-A57G[R[h


#ifdef __cplusplus
}
#endif

#endif // __INC_AISA57W_H__
